Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/departments/index.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -20,12 +20,19 @@
         </nav>
         <div class="dropdown">
+            @if(auth()->user()->hasPermission('manage_all_departments'))
             <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 <i class="fa fa-plus pr-1"></i> New
             </a>
+            @endif
+
+                @if(auth()->user()->hasPermission('download_data'))
             <a href="{{ route("dashboard.departments.downloadAll") }}" class="btn btn-danger text-white">
                 <i class="fa fa-download pr-1"></i> Download
             </a>
+                @endif
+            @if(auth()->user()->hasPermission('export_data'))
             <a href="{{ route('dashboard.departments.export') }}" class="btn btn-success text-white">
                 <i class="fa fa-table pr-1"></i> Export</a>
+            @endif
         </div>
     </div>
@@ -73,15 +80,21 @@
                                                 </svg></button>
                                     </td>
+                                    @if(auth()->user()->hasPermission('manage_all_departments'))
                                     <td>
                                         <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$department->id}}" title="Edit">
                                             <i class="ti-pencil"></i>
                                         </a>
-                                        <a href="{{ route("dashboard.departments.downloadDepartment", ['id' => $department->id]) }}" class="text-danger ml-2"title="Delete">
+                                        @if(auth()->user()->hasPermission('download_data'))
+                                        <a href="{{ route("dashboard.departments.downloadDepartment", ['id' => $department->id]) }}" class="text-danger ml-2"title="Download">
                                             <i class="ti-download"></i>
                                         </a>
+                                        @endif
                                         <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$department->id}}" title="Delete">
                                             <i class="ti-trash"></i>
                                         </a>
                                     </td>
+                                    @else
+                                    <td></td>
+                                        @endif
                                 </tr>
                                 <div class="modal fade" id="deleteModal_{{$department->id}}" tabindex="-1" role="dialog" aria-hidden="true">
@@ -99,5 +112,5 @@
                                                     @method('DELETE')
                                                     <p>Are you sure you want to delete department {{$department->name}} with code: {{$department->code}}?</p>
-                                                    <p>Number of documents associated: <a href="{{ route("dashboard.folders.index", ['id' => $department->id]) }}" class="text-linkedin">{{$department->folder()->count()}}</a></p>
+                                                    <p>Number of folders associated: <a href="{{ route("dashboard.folders.index", ['id' => $department->id]) }}" class="text-linkedin">{{$department->folder()->count()}}</a></p>
                                                     <div class="modal-footer">
                                                         <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
Index: resources/views/dashboard/files/index.blade.php
===================================================================
--- resources/views/dashboard/files/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/files/index.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -20,13 +20,19 @@
         </nav>
         <div class="dropdown">
+            @if(auth()->user()->hasPermission('manage_all_files'))
             <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 <i class="fa fa-upload pr-1"></i> Upload
             </a>
+            @endif
+            @if(auth()->user()->hasPermission('download_data'))
             <a href="{{ route("dashboard.departments.downloadAll") }}" class="btn btn-danger text-white">
                 <i class="fa fa-download pr-1"></i> Download
             </a>
+            @endif
+            @if(auth()->user()->hasPermission('export_data'))
             <a href="{{ route('dashboard.files.export') }}" class="btn btn-success text-white">
                 <i class="fa fa-table pr-1"></i> Export
             </a>
+                @endif
         </div>
     </div>
@@ -103,4 +109,5 @@
                                             </svg></button>
                                     </td>
+                                    @if(auth()->user()->hasPermission('manage_all_files'))
                                     <td>
                                         <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$file->id}}" title="Edit">
@@ -114,4 +121,7 @@
                                         </a>
                                     </td>
+                                    @else
+                                <td></td>
+                                        @endif
                                 </tr>
                                 <div class="modal fade" id="deleteModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/folders/files.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -9,7 +9,9 @@
             <div class="card">
                 <div class="card-body">
+                    @if(auth()->user()->hasPermission('manage_all_folders'))
                     <a class="btn btn-secondary btn-block text-white" href="javascript:void(0)" data-target="#editModal_{{$folder->id}}" data-toggle="modal">
                         Upload
                     </a>
+                        @endif
                 </div>
                 <div class="app-sidebar-menu">
@@ -35,4 +37,5 @@
                 <div class="action-left">
                     <ul class="list-inline">
+                        @if(auth()->user()->hasPermission('manage_all_folders'))
                         <li class="list-inline-item mb-0">
                             <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
@@ -43,11 +46,13 @@
                                     Upload
                                 </a>
-
                             </div>
                         </li>
+                        @endif
                         <li class="list-inline-item mb-0">
+                            @if(auth()->user()->hasPermission('download_data'))
                             <a href="{{ route("dashboard.folders.downloadFolder", ['id' => $folder->id]) }}" class="btn btn-outline-light">
                                 Download folder
                             </a>
+                                @endif
                         </li>
                     </ul>
@@ -100,13 +105,19 @@
                                     </a>
                                     <div class="dropdown-menu dropdown-menu-right">
+                                        @if(auth()->user()->hasPermission('manage_all_files'))
                                         <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#editFileModal_{{$file->id}}">
                                             Rename
                                         </a>
+                                        @endif
+                                        @if(auth()->user()->hasPermission('download_data'))
                                         <a href="{{ route("dashboard.files.downloadFile", $file->id) }}" class="dropdown-item">
                                             Download
                                         </a>
+                                            @endif
+                                            @if(auth()->user()->hasPermission('manage_all_files'))
                                         <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#deleteModal_{{$file->id}}">
                                             Delete
                                         </a>
+                                                @endif
                                     </div>
                                 </div>
Index: resources/views/dashboard/folders/index.blade.php
===================================================================
--- resources/views/dashboard/folders/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/folders/index.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -9,7 +9,9 @@
             <div class="card">
                 <div class="card-body">
+                    @if(auth()->user()->hasPermission('manage_all_folders'))
                     <a href="javascript:void(0)" class="btn btn-secondary btn-block file-upload-btn text-white" data-toggle="modal" data-target="#createModal">
                         Add folder
                     </a>
+                        @endif
                 </div>
                 <div class="app-sidebar-menu">
@@ -62,14 +64,18 @@
                 <div class="action-left">
                     <ul class="list-inline">
+                        @if(auth()->user()->hasPermission('manage_all_folders'))
                         <li class="list-inline-item mb-0">
                             <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
                                 <i data-feather="plus" class="mr-1"></i>
-                                Ations
+                                Actions
                             </a>
                             <div class="dropdown-menu">
                                 <a class="dropdown-item" href="javascript:void(0)" data-toggle="modal" data-target="#createModal">Add folder</a>
+                                @endif
+                                    @if(auth()->user()->hasPermission('export_data'))
                                 <a href="{{ route('dashboard.folders.export') }}" class="dropdown-item text-success">Export</a>
                             </div>
                         </li>
+                        @endif
                         <li class="list-inline-item mb-0">
                             <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">Departments</a>
@@ -139,7 +145,12 @@
                                         <div class="dropdown-menu dropdown-menu-right">
                                             <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="dropdown-item">View Files</a>
+                                            @if(auth()->user()->hasPermission('manage_all_folders'))
                                             <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#editModal_{{$folder->id}}">Edit</a>
+                                            @endif
+                                            @if(auth()->user()->hasPermission('download_data'))
                                             <a href="{{ route("dashboard.folders.downloadFolder", ['id' => $folder->id]) }}" class="dropdown-item">Download</a>
-                                            <button class="dropdown-item action-dropdown-item"
+                                            @endif
+                                            @if(auth()->user()->hasPermission('manage_all_folders'))
+                                                <button class="dropdown-item action-dropdown-item"
                                                     href="javascript:void(0)" onclick="toggleImportant({{$folder->id}})">
                                                 @if($folder->is_important)
@@ -149,5 +160,8 @@
                                                 @endif
                                             </button>
+                                            @endif
+                                            @if(auth()->user()->hasPermission('manage_all_folders'))
                                             <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#deleteModal_{{$folder->id}}">Delete</a>
+                                            @endif
                                         </div>
                                     </div>
Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/index.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -159,6 +159,4 @@
                                         @endif
                                         @endif
-
-
                                     </td>
                                     <td>{{ $file->name }}</td>
@@ -177,4 +175,5 @@
                                             </svg></button>
                                     </td>
+                                    @if(auth()->user()->hasPermission('manage_all_files'))
                                     <td>
                                         <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$file->id}}" title="Edit">
@@ -188,4 +187,7 @@
                                         </a>
                                     </td>
+                                    @else
+                                        <td></td>
+                                        @endif
                                 </tr>
                                 <div class="modal fade" id="deleteModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/settings/index.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -24,5 +24,7 @@
                         <a class="nav-link {{$active_tab == 'account' ? 'active' : ""}}" id="account-tab" data-toggle="pill" href="#account" role="tab" aria-controls="account" aria-selected="true">Account</a>
                         <a class="nav-link {{$active_tab == 'security' ? 'active' : ""}}" id="security-tab" data-toggle="pill" href="#security" role="tab" aria-controls="security" aria-selected="false">Security</a>
+                        @if(auth()->user()->hasPermission('validation_data'))
                         <a class="nav-link {{$active_tab == 'file-types' ? 'active' : ""}}" id="file-types-tab" data-toggle="pill" href="#file-types" role="tab" aria-controls="file-types" aria-selected="false">File validation</a>
+                        @endif
                     </div>
                 </div>
@@ -233,5 +235,5 @@
                         </div>
                         <div class="tab-pane {{$active_tab == 'file-types' ? 'active' : ""}}" id="file-types" role="tabpanel" aria-labelledby="file-types-tab">
-
+                            @if(auth()->user()->hasPermission('validation_data'))
                             <div class="card">
                                     <div class="card-body">
@@ -259,5 +261,5 @@
                                     </div>
                                 </div>
-
+@endif
                         </div>
                     </div>
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 0208bbd325187250445476f15e12ab189830c9db)
+++ resources/views/dashboard/users/index.blade.php	(revision 0df7a930d3f128a451a433cc4ee9218e13624091)
@@ -21,10 +21,14 @@
         </nav>
         <div class="dropdown">
+            @if(auth()->user()->hasPermission('manage_all_users'))
             <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 <i class="fa fa-plus pr-1"></i> New
             </a>
+            @endif
+            @if(auth()->user()->hasPermission('export_data'))
             <a href="{{ route('dashboard.users.export') }}" class="btn btn-success text-white">
                 <i class="fa fa-table pr-1"></i> Export
             </a>
+                @endif
         </div>
     </div>
@@ -93,4 +97,5 @@
                                         @endif
                                     </td>
+                                    @if(auth()->user()->hasPermission('manage_all_users'))
                                     @if($user->hasRole("Referent") && $user->is_confirmed)
                                         <td>
@@ -98,5 +103,5 @@
                                                 <i class="ti-pencil"></i>
                                             </a>
-                                            <a href="javascript:void(0)" class="text-danger ml-2" data-action="{{ route("dashboard.users.destroy", ["id" => $user->id]) }}" data-method="delete" title="Delete">
+                                            <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$user->id}}" title="Delete">
                                                 <i class="ti-trash"></i>
                                             </a>
@@ -105,4 +110,7 @@
                                         <td>/</td>
                                         @endif
+                                    @else
+                                    <td></td>
+                                    @endif
                                 </tr>
 
@@ -199,4 +207,30 @@
                                 </div>
 
+                                <div class="modal fade" id="deleteModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.destroy", $user->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('DELETE')
+                                                    <p>Are you sure you want to delete user {{$user->username}} ?</p>
+                                                    <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
                             @endforeach
                             </tbody>
